class PatternMeta:
    def __init__(self, id, name, frames, pixels, flags, fps):
        self.id = id
        self.name = name
        self.frames = frames
        self.pixels = pixels
        self.flags = flags
        self.fps = fps

    def to_json(self):
        return {
            "id": self.id, "name": self.name, "frames": self.frames,
            "pixels": self.pixels, "flags": self.flags, "fps": self.fps
        }

    @classmethod
    def from_json(cls, json):
        return cls(
            json["id"], json["name"], json["frames"],
            json["pixels"], json["flags"], json["fps"]
        )
